#
# spec file for package xsw (Version 1.33i)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile db-devel esound esound-devel gpp libgpp xf86 xpm yiff
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yiff

Name:         xsw
Copyright:    1989, 1991 Free Software Foundation, Inc.
Group:        X11/Games
Provides:     xsw
Autoreqprov:  on
Version:      1.33i
Release:      135
Summary:      XShipWars
Source:       ftp://fox.mit.edu/pub/xsw/xsw%{version}.tgz
Source1:      ftp://fox.mit.edu/pub/xsw/stimages1.6.tgz
Source2:      ftp://fox.mit.edu/pub/xsw/stsounds1.4.tgz
Source3:      ftp://fox.mit.edu/pub/xsw/xswdata1.33d.tgz
URL: http://fox.mit.edu/xsw/
Patch:      xsw%{version}.dif

%description
XShipWars is a multiplayer Game, where people trade in outer space. It can
be played in LAN or internet. With the client-software xsw, you can connect
to a game server in the internet. The game supports good graphics and sound.

Authors:
--------
    Taura <learfox@furry.ao.net>
    Kelly Brock <krbrock@pacbell.net>
    Jeff <ph43drus@home.com>
    Jeremy Dinsel <dinselj@sighsy.cup.edu>
    Tom Vogt <tomki@lemuria.org>
    Vidal Bruno <bruno_vidal@grenoble.hp.com>
    Dan Stimits <Stimits@cris.com>
    Pascal <pascal@acm.org>
    Shadow Mint <shadowmint@hotmail.com>
    Stefan Maron <stefanm@erinet.com>
    Steven A. Hessler <planter@pipeline.com>

SuSE series: fun

%prep
%setup -n xsw%{version}
%setup -T -D -n images  -b 1
%setup -T -D -n sounds -b 2
%setup -T -D -n images -b 3
cd ../xsw%{version}
%patch

%build
cd ../xsw%{version}
./configure --prefix /usr
for dir in client server monitor unvedit; do
   cd $dir
   make -f Makefile.Linux
   cd ..
done

%install
cd ../xsw%{version}
for dir in client server monitor unvedit; do
   cd $dir
   make -f Makefile.Linux install
   cd ..
done
# install sounds and images from source 1 + 2
cd ..
cd xsw%{version}
mkdir -p %{_defaultdocdir}/xsw
install CREDITS INSTALL LICENSE README TODO WIN32.TXT %{_defaultdocdir}/xsw
cd ..
%define xswdir /usr/share/games/xshipwars
mkdir -p %{xswdir}
tar cf - sounds | (cd %{xswdir}; tar xBpf - )
tar cf - images | (cd %{xswdir}; tar xBpf - )
tar cf - etc    | (cd %{xswdir}; tar xBpf - )

%files
%{xswdir}
/usr/X11R6/bin/xsw
%doc %{_defaultdocdir}/xsw/CREDITS 
%doc %{_defaultdocdir}/xsw/INSTALL 
%doc %{_defaultdocdir}/xsw/LICENSE 
%doc %{_defaultdocdir}/xsw/README 
%doc %{_defaultdocdir}/xsw/TODO
%doc %{_defaultdocdir}/xsw/WIN32.TXT

%changelog -n xsw
* Wed Apr 04 2001 - schwab@suse.de
- Fix conflicting declaration of errno.
- Use the correct bit types.
* Fri Jan 05 2001 - stepan@suse.de
- 64bit GNU environment compile fixes for alpha
* Fri Nov 10 2000 - freitag@suse.de
- patched to include unistd in one of billion files to compile
  correctly on beta.
* Wed Nov 08 2000 - ro@suse.de
- added esound-devel to neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- added db-devel to neededforbuild
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Thu Oct 05 2000 - freitag@suse.de
- update to 1.33i
* Thu May 25 2000 - freitag@suse.de
- introduced %%{defaultdocdir}
* Mon Jan 31 2000 - freitag@suse.de
- new Package with version 1.33
